package com.patzn.lims.equip.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.dto.LmsEquipPurchaseDTO;
import com.patzn.lims.equip.entity.LmsEquipPurchase;
import com.patzn.lims.equip.vo.LmsEquipPurchaseVO;

/**
 * <p>
 * 仪器采购订单表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-27
 */
public interface ILmsEquipPurchaseService extends IBaseService<LmsEquipPurchase> {

    Page<LmsEquipPurchase> page(Page<LmsEquipPurchase> page, LmsEquipPurchaseDTO lmsEquipPurchase);

    LmsEquipPurchaseVO getTempVO();

    LmsEquipPurchase selectOne(LmsEquipPurchase purchase);

    boolean add(LmsEquipPurchase lmsEquipPurchase, Long sendUserId, Account account);


    boolean submit(Long id,Long sendUserId );

    LmsEquipPurchaseVO getVOById(Long id);



    boolean approve(String taskId, String status, String reason);

    boolean approveFlow(String taskId, String allow, String postil,Long id,Long sendUserId);

    boolean approveManager(String taskId, String allow, String postil);

    boolean toManagerCheck(String taskId, String allow, String postil);
}
